Skip to main content
GET
/
api
/
v3
/
admin
/
orders
/
{order_id}
/
refunds
Spree Admin SDK
import { createAdminClient } from '@spree/admin-sdk'

const client = createAdminClient({
  baseUrl: 'https://your-store.com',
  secretKey: 'sk_xxx',
})

const { data: refunds } = await client.orders.refunds.list('or_UkLWZg9DAJ')
{
  "data": [],
  "meta": {
    "page": 1,
    "limit": 25,
    "count": 0,
    "pages": 1,
    "from": 0,
    "to": 0,
    "in": 0,
    "previous": null,
    "next": null
  }
}

Documentation Index

Fetch the complete documentation index at: https://spreecommerce.org/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-spree-api-key
string
header
required

Secret API key for admin access

Authorization
string
header
required

JWT token for admin user authentication

Headers

x-spree-api-key
string
required
Authorization
string
required

Bearer token for admin authentication

Path Parameters

order_id
string
required

Order ID

Query Parameters

expand
string

Comma-separated associations to expand (e.g., payment, refund_reason). Use dot notation for nested expand (max 4 levels).

fields
string

Comma-separated list of fields to include (e.g., amount,reason,transaction_id). id is always included.

Response

200 - application/json

refunds found